# Get Information On Position Limit

#### /sapi/v1/position/position\_limit

Request type: POST

Signature verification: Yes

Interface permission: Read

Rate Limit: Generally, the private interface rate limit of API key is at most 144 times every 3 seconds for each account (Trade Interface: at most 72 times every 3 seconds. Read Interface: at most 72 times every 3 seconds) (this rate limit is shared by all the altcoins contracts delivered by different date).

Interface description: The interface only supports cross margin mode. The request parameter "contract\_code" supports the contract code of futures, in that the format is BTC-USDT-210625. When both of pair, contract\_type and contract\_code filled in, the contract\_code is the preferred. business\_type is a required parameter when query info of futures contract, and its value must be futures or all.

### Request Address

<table><thead><tr><th width="238.6666259765625">Environment</th><th>Address</th></tr></thead><tbody><tr><td>Online</td><td><a href="https://api.sunx.io/">https://api.sunx.io</a></td></tr><tr><td>Online (preferred by aws customers)</td><td><a href="https://api.sunx.io/">https://api.sunx.io</a></td></tr></tbody></table>

### Request Parameter

| Parameter      | Data Type | Required | Description                    | Value Range                                          | Default Value |
| -------------- | --------- | -------- | ------------------------------ | ---------------------------------------------------- | ------------- |
| contract\_code | string    | false    | contract code                  | swap: "BTC-USDT"... , future: "BTC-USDT-210625" ...  |               |
| pair           | string    | false    | pair                           | BTC-USDT                                             |               |
| contract\_type | string    | false    | contract type                  | swap, this\_week, next\_week, quarter, next\_quarter |               |
| business\_type | string    | false    | business type, default is swap | futures, swap, all                                   |               |

### Response Parameter

| Parameter          | Data Type    | Required | Description                                                                      | Value Range                                          |
| ------------------ | ------------ | -------- | -------------------------------------------------------------------------------- | ---------------------------------------------------- |
| status             | string       | true     | Request Processing Result                                                        | "ok" , "error"                                       |
| ts                 | long         | true     | Time of Respond Generation, Unit: Millisecond                                    |                                                      |
| \<data>            | object array | true     |                                                                                  |                                                      |
| symbol             | string       | true     | symbol                                                                           | "BTC","ETH"...                                       |
| contract\_code     | string       | true     | contract code                                                                    | swap: "BTC-USDT"... , future: "BTC-USDT-210625" ...  |
| margin\_mode       | string       | true     | margin mode                                                                      | cross: cross margin mode                             |
| buy\_limit         | decimal      | true     | max qty of position on long positions, unit: piece(calculated with mark\_price)  |                                                      |
| sell\_limit        | decimal      | true     | max qty of position on short positions, unit: piece(calculated with mark\_price) |                                                      |
| contract\_type     | string       | true     | contract type                                                                    | swap, this\_week, next\_week, quarter, next\_quarter |
| pair               | string       | true     | pair                                                                             | such as: “BTC-USDT”                                  |
| business\_type     | string       | true     | business type                                                                    | futures, swap                                        |
| lever\_rate        | int          | true     | leverage rate                                                                    |                                                      |
| buy\_limit\_value  | decimal      | true     | upper limit on long positions, unit: usdt                                        |                                                      |
| sell\_limit\_value | decimal      | true     | upper limit on short positions, unit: usdt                                       |                                                      |
| mark\_price        | decimal      | true     | mark price(use this price to calculate the qty of open positions)                |                                                      |
| trade\_partition   | string       | true     | Deprecated parameter                                                             |                                                      |
| \</data>           |              | false    |                                                                                  |                                                      |

### Request Example

```
GET https://api.sunx.io/sapi/v1/position/position_limit?contract_code=BTC-USDT&SignatureVersion=2&SignatureVersion=2&AccessKeyId=<your key>&Signature=<your signature>&SignatureMethod=HmacSHA256&Timestamp=2025-09-16T07%3A16%3A15

```

### Response Example

```
{
    "status": "ok",
    "data": [
        {
            "symbol": "BTC",
            "contract_code": "BTC-USDT",
            "margin_mode": "cross",
            "buy_limit": 26126,
            "sell_limit": 26126,
            "business_type": "swap",
            "contract_type": "swap",
            "pair": "BTC-USDT",
            "lever_rate": 5,
            "buy_limit_value": 3000000.000000000000000000,
            "sell_limit_value": 3000000.000000000000000000,
            "mark_price": 114826.3,
            "trade_partition": "USDT"
        }
    ],
    "ts": 1757939712955
}
```
